%define modname ladspa
%define name    ocaml-%{modname}
%define version 0.1.4
%define release %mkrel 3

Summary:        Ocaml interface to the LADSPA audio plug-ins library
Name:           %{name}
Version:        %{version}
Release:        %{release}
Source0:        http://downloads.sourceforge.net/project/savonet/%{name}/%{version}/%{name}-%{version}.tar.gz
License:        LGPLv2
Group:          Development/OCaml
Url:            http://savonet.sourceforge.net/

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib
BuildRequires:  ladspa-devel

%description 
This OCaml library is an O'Caml interface to the LADSPA audio
plug-ins library.


%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ladspa-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q

%build
./configure --libdir=%{_libdir}
make all doc

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/%{modname}
make install


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING CHANGES README
%dir %{_libdir}/ocaml/%{modname}
%{_libdir}/ocaml/%{modname}/META
%{_libdir}/ocaml/%{modname}/*.cma
%{_libdir}/ocaml/%{modname}/*.cmi
%{_libdir}/ocaml/stublibs/*.so*

%files devel
%defattr(-,root,root)
%doc doc/html/
%{_libdir}/ocaml/%{modname}/*.a
%{_libdir}/ocaml/%{modname}/*.h
%{_libdir}/ocaml/%{modname}/*.cmxa
%{_libdir}/ocaml/%{modname}/*.cmx
%{_libdir}/ocaml/%{modname}/*.mli



%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.1.4-3.mga3
+ Revision: 361432
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.1.4-2.mga3
+ Revision: 301664
- new rpm group for ocaml

* Sun Oct 09 2011 shlomif <shlomif> 0.1.4-1.mga2
+ Revision: 153542
- New version - 0.1.4. Applied patch by Malo.

* Sun Oct 02 2011 shlomif <shlomif> 0.1.3-2.mga2
+ Revision: 151075
- Rebuild for new OCaml - thanks to Malo.

* Fri Sep 30 2011 shlomif <shlomif> 0.1.3-1.mga2
+ Revision: 150566
- imported package ocaml-ladspa

